Summary: RDF Parser Toolkit for Redland
Name:    raptor2
Version: 2.0.15
Release: 8%{?dist}

License: GPLv2+ or LGPLv2+ or ASL 2.0
URL:     http://librdf.org/raptor/
Source0: http://download.librdf.org/source/raptor2-%{version}.tar.gz

# https://github.com/dajobe/raptor/commit/4dbc4c1da2a033c497d84a1291c46f416a9cac51
Patch0001: Remove-the-access-to-entities-checked-private-symbol-for-libxml2-2.11.0.patch
Patch3000: 0001-Calcualte-max-nspace-declarations-correctly-for-XML-.patch
Patch3001: 0001-CVE-2020-25713-raptor2-malformed-input-file-can-lead.patch

BuildRequires: pkgconfig(libxslt) yajl-devel
BuildRequires: make gcc-c++ curl-devel gtk-doc libicu-devel

%description
Raptor is the RDF Parser Toolkit for Redland that provides
a set of standalone RDF parsers, generating triples from RDF/XML
or N-Triples.

%package devel
Summary: Development files for %{name} 
Requires: %{name} = %{version}-%{release}
%description devel
%{summary}.


%prep
%autosetup -p1

sed -i -e 's|"/lib /usr/lib|"/%{_lib} %{_libdir}|' configure


%build
%configure \
  --disable-static \
  --enable-release \
  --with-icu-config=/usr/bin/icu-config \
  --with-yajl=no

%make_build


%install
%make_install

rm -fv %{buildroot}%{_libdir}/lib*.la


%check
export PKG_CONFIG_PATH=%{buildroot}%{_datadir}/pkgconfig:%{buildroot}%{_libdir}/pkgconfig
test "$(pkg-config --modversion raptor2)" = "%{version}"
make check 



%files
%license COPYING* LICENSE.txt LICENSE-2.0.txt
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/rapper
%{_libdir}/libraptor2.so.0*
%{_mandir}/man1/rapper*

%files devel
%doc UPGRADING.html
%{_includedir}/raptor2/
%{_libdir}/libraptor2.so
%{_libdir}/pkgconfig/raptor2.pc
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html/
%{_datadir}/gtk-doc/html/raptor2/
%{_mandir}/man3/libraptor2*


%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.15-8
- Rebuilt for loongarch release

* Tue Jan 16 2024 Shuo Wang <abushwang@tencent.com> - 2.0.15-7
- fix build fail for libxml2 2.11.5

* Thu Oct 12 2023 Miaojun Dong <zoedong@tencent.com> - 2.0.15-6
- Rebuild for curl-8.4.0

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.15-5
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Sep 04 2023 jackeyji <jackeyji@tencent.com> - 2.0.15-4
- downgrade to 2.0.15

* Wed Aug 23 2023 rockerzhu <rockerzhu@tencent.com> - 2.0.16-2
- Rebuilt for icu 73.2

* Wed Aug 23 2023 jackeyji <jackeyji@tencent.com> - 2.0.16-1
- upgrade to 2.0.16

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.15-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.15-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Mar 10 2023 cunshunxia <cunshunxia@tencent.com> - 2.0.15-1
- initial build
